## org.apache.lucene.xmlparser.builders
Class SpanQueryBuilderFactory

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanQueryBuilderFactory

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanQueryBuilderFactory

extends java.lang.Object
implements SpanQueryBuilder

Constructor Summary
`SpanQueryBuilderFactory()`

Method Summary
`void` `addBuilder(java.lang.String nodeName, SpanQueryBuilder builder)`
`org.apache.lucene.search.Query` `getQuery(org.w3c.dom.Element e)`
`org.apache.lucene.search.spans.SpanQuery` `getSpanQuery(org.w3c.dom.Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanQueryBuilderFactory

    public SpanQueryBuilderFactory()

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery(org.w3c.dom.Element e)
                                            throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

### addBuilder

    public void addBuilder(java.lang.String nodeName,
                           SpanQueryBuilder builder)

### getSpanQuery

    public org.apache.lucene.search.spans.SpanQuery getSpanQuery(org.w3c.dom.Element e)
                                                          throws ParserException

  Specified by:
    `getSpanQuery` in interface `SpanQueryBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.